-- This file is part of the Watchfaces project.
-- Read the file README.md for copyright and other information

function about()
    result = {}
    result.author = "pine5"
    result.name   = "pine5"
    return result
end

COLOR_BLUE   = 0xff4a77fa
COLOR_RED    = 0xfff84848
COLOR_ORANGE = 0xfffec760
COLOR_GREEN  = 0xff8aff61

function textLayer(canvas)
    dateFont:drawCentered(canvas,
        DateFormat:format("dd", time),
        167, 124)
--    local weather = deviceStatus:getWeather()
--    if weather ~= nil then
--        temperatureFont:drawRightAligned(
--            canvas,
--            math.floor(weather.temperature.current + 0.5) .. "°C",
--           236, 210)
--    end
	wifiFont:drawLeftAligned(canvas,
        deviceStatus:getBatteryPercent() .. "%",
        60, 124)
end

function init()
    atlas = face:loadAtlas('pine5.atlas')
    face:add(atlas:createSprite('background'))
	
    hourHand = atlas:createSprite('hour_hand')
    hourHand:setPivot(9, 63);
    hourHand:setPosition(120, 120)
    face:add(hourHand)

    minuteHand = atlas:createSprite('minute_hand')
    minuteHand:setPivot(9, 97)
    minuteHand:setPosition(120, 120)
    face:add(minuteHand)
	
	secondHand = atlas:createSprite("second_hand")
    secondHand:setPivot(9, 92)
    secondHand:setPosition(120, 120)
	face:add(secondHand)
	
	local fontSprite = atlas:createSprite('font')
    dateFont = face:loadFont("Roboto-Regular-15.fnt", fontSprite)
    temperatureFont = face:loadFont("Roboto-Regular-15.fnt", fontSprite)
	wifiFont = face:loadFont("Roboto-Regular-15.fnt", fontSprite)
    face:add(textLayer)

end

function update()
    hour   = time:get(Calendar.HOUR)
    minute = time:get(Calendar.MINUTE)
    second = time:get(Calendar.SECOND)
  
    hourHand  :setRotation(360 / 12 * (hour + minute / 60))
    minuteHand:setRotation(360 / 60 * (minute + second / 60))
	secondHand:setRotation(360 / 60 * second)

   
	
end
